IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
fc01:6000::/20- First address
fc01:6000::- Last address
fc01:6fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
fc01:6000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
6.1.0.c.f.ip6.arpa
Split into smaller subnets
fc01:6000::/20 makes 256 subnets of /28.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc01:6000::/28 | fc01:600f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc01:6010::/28 | fc01:601f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc01:6020::/28 | fc01:602f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc01:6030::/28 | fc01:603f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc01:6040::/28 | fc01:604f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc01:6050::/28 | fc01:605f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc01:6060::/28 | fc01:606f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc01:6070::/28 | fc01:607f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc01:6080::/28 | fc01:608f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc01:6090::/28 | fc01:609f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc01:60a0::/28 | fc01:60af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc01:60b0::/28 | fc01:60bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc01:60c0::/28 | fc01:60cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc01:60d0::/28 | fc01:60df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc01:60e0::/28 | fc01:60ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc01:60f0::/28 | fc01:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc01:6100::/28 | fc01:610f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc01:6110::/28 | fc01:611f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc01:6120::/28 | fc01:612f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc01:6130::/28 | fc01:613f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc01:6140::/28 | fc01:614f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc01:6150::/28 | fc01:615f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc01:6160::/28 | fc01:616f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc01:6170::/28 | fc01:617f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc01:6180::/28 | fc01:618f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc01:6190::/28 | fc01:619f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc01:61a0::/28 | fc01:61af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc01:61b0::/28 | fc01:61bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc01:61c0::/28 | fc01:61cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc01:61d0::/28 | fc01:61df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc01:61e0::/28 | fc01:61ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc01:61f0::/28 | fc01:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc01:6200::/28 | fc01:620f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc01:6210::/28 | fc01:621f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc01:6220::/28 | fc01:622f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc01:6230::/28 | fc01:623f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc01:6240::/28 | fc01:624f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc01:6250::/28 | fc01:625f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc01:6260::/28 | fc01:626f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc01:6270::/28 | fc01:627f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc01:6280::/28 | fc01:628f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc01:6290::/28 | fc01:629f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc01:62a0::/28 | fc01:62af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc01:62b0::/28 | fc01:62bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc01:62c0::/28 | fc01:62cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc01:62d0::/28 | fc01:62df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc01:62e0::/28 | fc01:62ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc01:62f0::/28 | fc01:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc01:6300::/28 | fc01:630f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc01:6310::/28 | fc01:631f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc01:6320::/28 | fc01:632f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc01:6330::/28 | fc01:633f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc01:6340::/28 | fc01:634f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc01:6350::/28 | fc01:635f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc01:6360::/28 | fc01:636f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc01:6370::/28 | fc01:637f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc01:6380::/28 | fc01:638f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc01:6390::/28 | fc01:639f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc01:63a0::/28 | fc01:63af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc01:63b0::/28 | fc01:63bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc01:63c0::/28 | fc01:63cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc01:63d0::/28 | fc01:63df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc01:63e0::/28 | fc01:63ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc01:63f0::/28 | fc01:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc01:6400::/28 | fc01:640f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc01:6410::/28 | fc01:641f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc01:6420::/28 | fc01:642f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc01:6430::/28 | fc01:643f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc01:6440::/28 | fc01:644f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc01:6450::/28 | fc01:645f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc01:6460::/28 | fc01:646f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc01:6470::/28 | fc01:647f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc01:6480::/28 | fc01:648f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc01:6490::/28 | fc01:649f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc01:64a0::/28 | fc01:64af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc01:64b0::/28 | fc01:64bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc01:64c0::/28 | fc01:64cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc01:64d0::/28 | fc01:64df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc01:64e0::/28 | fc01:64ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc01:64f0::/28 | fc01:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc01:6500::/28 | fc01:650f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc01:6510::/28 | fc01:651f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc01:6520::/28 | fc01:652f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc01:6530::/28 | fc01:653f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc01:6540::/28 | fc01:654f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc01:6550::/28 | fc01:655f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc01:6560::/28 | fc01:656f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc01:6570::/28 | fc01:657f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc01:6580::/28 | fc01:658f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc01:6590::/28 | fc01:659f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc01:65a0::/28 | fc01:65af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc01:65b0::/28 | fc01:65bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc01:65c0::/28 | fc01:65cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc01:65d0::/28 | fc01:65df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc01:65e0::/28 | fc01:65ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc01:65f0::/28 | fc01:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc01:6600::/28 | fc01:660f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc01:6610::/28 | fc01:661f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc01:6620::/28 | fc01:662f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc01:6630::/28 | fc01:663f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc01:6640::/28 | fc01:664f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc01:6650::/28 | fc01:665f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc01:6660::/28 | fc01:666f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc01:6670::/28 | fc01:667f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc01:6680::/28 | fc01:668f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc01:6690::/28 | fc01:669f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc01:66a0::/28 | fc01:66af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc01:66b0::/28 | fc01:66bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc01:66c0::/28 | fc01:66cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc01:66d0::/28 | fc01:66df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc01:66e0::/28 | fc01:66ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc01:66f0::/28 | fc01:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc01:6700::/28 | fc01:670f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc01:6710::/28 | fc01:671f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc01:6720::/28 | fc01:672f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc01:6730::/28 | fc01:673f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc01:6740::/28 | fc01:674f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc01:6750::/28 | fc01:675f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc01:6760::/28 | fc01:676f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc01:6770::/28 | fc01:677f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc01:6780::/28 | fc01:678f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc01:6790::/28 | fc01:679f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc01:67a0::/28 | fc01:67af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc01:67b0::/28 | fc01:67bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc01:67c0::/28 | fc01:67cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc01:67d0::/28 | fc01:67df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc01:67e0::/28 | fc01:67ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc01:67f0::/28 | fc01:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc01:6800::/28 | fc01:680f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc01:6810::/28 | fc01:681f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc01:6820::/28 | fc01:682f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc01:6830::/28 | fc01:683f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc01:6840::/28 | fc01:684f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc01:6850::/28 | fc01:685f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc01:6860::/28 | fc01:686f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc01:6870::/28 | fc01:687f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc01:6880::/28 | fc01:688f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc01:6890::/28 | fc01:689f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc01:68a0::/28 | fc01:68af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc01:68b0::/28 | fc01:68bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc01:68c0::/28 | fc01:68cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc01:68d0::/28 | fc01:68df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc01:68e0::/28 | fc01:68ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc01:68f0::/28 | fc01:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc01:6900::/28 | fc01:690f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc01:6910::/28 | fc01:691f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc01:6920::/28 | fc01:692f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc01:6930::/28 | fc01:693f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc01:6940::/28 | fc01:694f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc01:6950::/28 | fc01:695f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc01:6960::/28 | fc01:696f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc01:6970::/28 | fc01:697f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc01:6980::/28 | fc01:698f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc01:6990::/28 | fc01:699f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc01:69a0::/28 | fc01:69af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc01:69b0::/28 | fc01:69bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc01:69c0::/28 | fc01:69cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc01:69d0::/28 | fc01:69df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc01:69e0::/28 | fc01:69ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc01:69f0::/28 | fc01:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc01:6a00::/28 | fc01:6a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc01:6a10::/28 | fc01:6a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc01:6a20::/28 | fc01:6a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc01:6a30::/28 | fc01:6a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc01:6a40::/28 | fc01:6a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc01:6a50::/28 | fc01:6a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc01:6a60::/28 | fc01:6a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc01:6a70::/28 | fc01:6a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc01:6a80::/28 | fc01:6a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc01:6a90::/28 | fc01:6a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc01:6aa0::/28 | fc01:6aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc01:6ab0::/28 | fc01:6abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc01:6ac0::/28 | fc01:6acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc01:6ad0::/28 | fc01:6adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc01:6ae0::/28 | fc01:6aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc01:6af0::/28 | fc01:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc01:6b00::/28 | fc01:6b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc01:6b10::/28 | fc01:6b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc01:6b20::/28 | fc01:6b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc01:6b30::/28 | fc01:6b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc01:6b40::/28 | fc01:6b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc01:6b50::/28 | fc01:6b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc01:6b60::/28 | fc01:6b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc01:6b70::/28 | fc01:6b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc01:6b80::/28 | fc01:6b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc01:6b90::/28 | fc01:6b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc01:6ba0::/28 | fc01:6baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc01:6bb0::/28 | fc01:6bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc01:6bc0::/28 | fc01:6bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc01:6bd0::/28 | fc01:6bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc01:6be0::/28 | fc01:6bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc01:6bf0::/28 | fc01:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc01:6c00::/28 | fc01:6c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc01:6c10::/28 | fc01:6c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc01:6c20::/28 | fc01:6c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc01:6c30::/28 | fc01:6c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc01:6c40::/28 | fc01:6c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc01:6c50::/28 | fc01:6c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc01:6c60::/28 | fc01:6c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc01:6c70::/28 | fc01:6c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc01:6c80::/28 | fc01:6c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc01:6c90::/28 | fc01:6c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc01:6ca0::/28 | fc01:6caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc01:6cb0::/28 | fc01:6cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc01:6cc0::/28 | fc01:6ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc01:6cd0::/28 | fc01:6cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc01:6ce0::/28 | fc01:6cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc01:6cf0::/28 | fc01:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc01:6d00::/28 | fc01:6d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc01:6d10::/28 | fc01:6d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc01:6d20::/28 | fc01:6d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc01:6d30::/28 | fc01:6d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc01:6d40::/28 | fc01:6d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc01:6d50::/28 | fc01:6d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc01:6d60::/28 | fc01:6d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc01:6d70::/28 | fc01:6d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc01:6d80::/28 | fc01:6d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc01:6d90::/28 | fc01:6d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc01:6da0::/28 | fc01:6daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc01:6db0::/28 | fc01:6dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc01:6dc0::/28 | fc01:6dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc01:6dd0::/28 | fc01:6ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc01:6de0::/28 | fc01:6def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc01:6df0::/28 | fc01:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc01:6e00::/28 | fc01:6e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc01:6e10::/28 | fc01:6e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc01:6e20::/28 | fc01:6e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc01:6e30::/28 | fc01:6e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc01:6e40::/28 | fc01:6e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc01:6e50::/28 | fc01:6e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc01:6e60::/28 | fc01:6e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc01:6e70::/28 | fc01:6e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc01:6e80::/28 | fc01:6e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc01:6e90::/28 | fc01:6e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc01:6ea0::/28 | fc01:6eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc01:6eb0::/28 | fc01:6ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc01:6ec0::/28 | fc01:6ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc01:6ed0::/28 | fc01:6edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc01:6ee0::/28 | fc01:6eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc01:6ef0::/28 | fc01:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc01:6f00::/28 | fc01:6f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc01:6f10::/28 | fc01:6f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc01:6f20::/28 | fc01:6f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc01:6f30::/28 | fc01:6f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc01:6f40::/28 | fc01:6f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc01:6f50::/28 | fc01:6f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc01:6f60::/28 | fc01:6f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc01:6f70::/28 | fc01:6f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc01:6f80::/28 | fc01:6f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc01:6f90::/28 | fc01:6f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc01:6fa0::/28 | fc01:6faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc01:6fb0::/28 | fc01:6fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc01:6fc0::/28 | fc01:6fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc01:6fd0::/28 | fc01:6fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc01:6fe0::/28 | fc01:6fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc01:6ff0::/28 | fc01:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |